# Alert.AlertType
declaration: package: swervelib.telemetry, class: Alert, enum: AlertType

Package swervelib.telemetry

# Enum Class Alert.AlertType

java.lang.Object
java.lang.Enum<Alert.AlertType>
swervelib.telemetry.Alert.AlertType

All Implemented Interfaces:
  `Serializable`, `Comparable<Alert.AlertType>`, `Constable`

Enclosing class:
  Alert

public static enum Alert.AlertType extends Enum<Alert.AlertType>
Represents an alert's level of urgency.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ERROR`
High priority alert - displayed first on the dashboard with a red "X" symbol.
`ERROR_TRACE`
High priority alert - displayed first on the dashboard with a red "X" symbol.
`INFO`
Low priority alert - displayed last on the dashboard with a green "i" symbol.
`WARNING`
Medium priority alert - displayed second on the dashboard with a yellow "!" symbol.
`WARNING_TRACE`
Medium priority alert - displayed second on the dashboard with a yellow "!" symbol.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`AlertType()`

## Method Summary

Modifier and Type
Method
Description
`static Alert.AlertType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Alert.AlertType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ERROR

public static final Alert.AlertType ERROR
High priority alert - displayed first on the dashboard with a red "X" symbol. Use this type for problems which will seriously affect the robot's functionality and thus require immediate attention.

### ERROR_TRACE

public static final Alert.AlertType ERROR_TRACE
High priority alert - displayed first on the dashboard with a red "X" symbol. Use this type for problems which will seriously affect the robot's functionality and thus require immediate attention. Trace printed to driver station console.

### WARNING

public static final Alert.AlertType WARNING
Medium priority alert - displayed second on the dashboard with a yellow "!" symbol. Use this type for problems which could affect the robot's functionality but do not necessarily require immediate attention.

### WARNING_TRACE

public static final Alert.AlertType WARNING_TRACE
Medium priority alert - displayed second on the dashboard with a yellow "!" symbol. Use this type for problems which could affect the robot's functionality but do not necessarily require immediate attention. Trace printed to driver station console.

### INFO

public static final Alert.AlertType INFO
Low priority alert - displayed last on the dashboard with a green "i" symbol. Use this type for problems which are unlikely to affect the robot's functionality, or any other alerts which do not fall under "ERROR" or "WARNING".

## Constructor Details

### AlertType

private AlertType()

## Method Details

### values

public static Alert.AlertType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Alert.AlertType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null